DECLARE FUNCTION FExistsSysIniKeyValue LIB "syskey.dll" (szFile$, szSect$, szKey$, szValue$) AS INTEGER
DECLARE SUB CreateUniqueSysIniKeyValue (szFile$, szSect$, szKey$, szValue$, cmo%)

'*************************************************************************
SUB CreateUniqueSysIniKeyValue (szFile$, szSect$, szKey$, szValue$, cmo%) STATIC
'$ifdef DEBUG
    if FValidFATPath(szFile$) = 0 then
        n% = 1
    elseif FValidInfSect(szSect$) = 0 then
        n% = 2
    elseif szKey$ = "" then
        n% = 3
    else
        n% = 0
    end if
    if n% > 0 then
        BadArgErr n%, "CreateUniqueSysIniKeyValue", szFile$+", "+szSect$+", "+szKey$+", "+szValue$+", "+STR$(cmo%)
    end if
'$endif ''DEBUG

    n% = FExistsSysIniKeyValue(szFile$, szSect$, szKey$, szValue$)
    if n% = -1 then
'$ifdef DEBUG
        StfApiErr saeFail, "CreateUniqueSysIniKeyValue", szFile$+", "+szSect$+", "+szKey$+", "+szValue$
'$endif ''DEBUG
        ERROR STFERR
    elseif n% = 0 then
        if FCreateSysIniKeyValue(szFile$, szSect$, szKey$, szValue$, cmo%) = 0 then
'$ifdef DEBUG
            StfApiErr saeFail, "CreateSysIniKeyValue", szFile$+", "+szSect$+", "+szKey$+", "+szValue$+", "+STR$(cmo%)
'$endif ''DEBUG
            ERROR STFERR
        end if
    end if
END SUB
